import { BasicColumn, FormSchema } from '@/components/Table';
import { BaseFormatProps } from 'vue-i18n';

export const labelColumn: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '规则选择方式',
    dataIndex: 'type',
    width: 150,
  },
  {
    title: '发布状态',
    dataIndex: 'uploadFlag',
    width: 150,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 150,
  },
];
export const labelFormSchemas: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    colProps: { span: 6 },
  },
];
export const addLabelModelFormSchemas: FormSchema[] = [
  {
    field: 'path',
    label: '路径',
    component: 'TreeSelect',
    componentProps: {
      treeData: [
        {
          title: '落标检查',
          value: '0-0',
          icon: 'ant-design:line-chart-outlined',
          children: [
            { title: 'DMP_admin-个人工作区', value: '0-0-0', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-1', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-2', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: '共享工作区', value: '0-0-1', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-3', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-4', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: 'gxx', value: '0-0-2', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-5', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-6', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: '商城工作区', value: '0-0-3', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-7', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-8', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: '数据中台工作区01', value: '0-0-4', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-9', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-10', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: '数据中台工作区02', value: '0-0-5', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-11', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-12', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: 'glc', value: '0-0-6', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-13', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-14', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: '数据中台工作区04', value: '0-0-7', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-15', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-16', icon: 'ant-design:line-chart-outlined' },
              ],
            },
            { title: '数据中台工作区', value: '0-0-8', icon: 'ion:desktop-outline',
              children: [
                { title: 'dmp落标检查', value: '0-0-0-17', icon: 'ant-design:line-chart-outlined' },
                { title: 'gxx落标检查', value: '0-0-0-18', icon: 'ant-design:line-chart-outlined' },
              ],
            },
          ],
        },
      ],
    },
    colProps: { lg: 24 },
  },
  {
    field: 'name',
    label: '落标检查名称',
    required: true,
    component: 'Input',
    colProps: { lg: 24 },
  },
  {
    field: 'type',
    label: '标准分类',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '基础标准',
          value: '基础标准',
        },
        {
          label: '数据标准',
          value: '数据标准',
        },
      ],
    },
    colProps: { lg: 24 },
  },
  {
    field: 'typeInfo',
    label: '类型',
    slot: 'typeInfo',
    colProps: { lg: 24 },
  },
];
