import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const reportFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
    colProps: { lg: 4, md: 6 },
  },
];
export const reportColumn: BasicColumn[] = [
  {
    title: '数据源',
    dataIndex: 'data',
    width: 80,
  },
  {
    title: '目录',
    dataIndex: 'catalog',
    width: 80,
  },
  {
    title: '数据库',
    dataIndex: 'database',
    width: 80,
  },
  {
    title: '数据表',
    dataIndex: 'table',
    width: 80,
  },
  {
    title: '字段',
    dataIndex: 'field',
    width: 80,
  },
  {
    title: '标准',
    dataIndex: 'standard',
    width: 80,
    slots: { customRender: 'standard' },
  },
  {
    title: '质量模板',
    dataIndex: 'model',
    width: 80,
  },
  {
    title: '质量规则',
    dataIndex: 'rule',
    width: 80,
  },
  {
    title: '检查类型',
    dataIndex: 'checkType',
    width: 80,
  },
  {
    title: '执行结果',
    dataIndex: 'result',
    width: 80,
    slots: { customRender: 'result' },
  },
  {
    title: '问题记录占比',
    dataIndex: 'perc',
    width: 80,
  },
];
